Subject: Re: bug#52465: 29.0.50; Expand project-kill-buffer-conditions

From: Dmitry Gutov <[email-masked]>
Date: Tue, 14 Dec 2021 05:20:58 +0300

Hi Manuel,

On 13.12.2021 16:32, Manuel Uberti via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Would it make sense to add two more entries
> project-kill-buffer-conditions? I have this in my configuration:
> 
> (dolist (entry (list '(derived-mode . comint-mode)
>                       '(major-mode . change-log-mode)))
>    (add-to-list 'project-kill-buffer-conditions entry t))
> 
> I often use project-shell in my projects, so I am happy to close it when 
> I do 'C-x p k'.
> 
> Also, project-kill-buffers already gets rid of the project VC buffers I 
> have opened, so I like to kill the related change-log one as well.
> 
> What do you think?

Adding comint-mode sounds fine to me.

Regarding change-log-mode, do you usually have those buffers not saved 
to a file? Because otherwise the condition with 'buffer-file-name' 
should be used.